# QTableWidget Class Reference

### [com.trolltech.qt.gui package]

Inherits QTableView.

### Constructor

- void QTableWidget(QWidget parent)
- void QTableWidget(int rows, int columns, QWidget parent)

### Constructor Properties

- prototype: The QTableWidget prototype object

### Prototype Object Properties

The QTableWidget prototype object inherits properties from the QTableView prototype object and also has the following properties.

- QWidget cellWidget(int row, int column)
- void closePersistentEditor(QTableWidgetItem item)
- int column(QTableWidgetItem item)
- int currentColumn()
- QTableWidgetItem currentItem()
- int currentRow()
- void editItem(QTableWidgetItem item)
- List findItems(String text, MatchFlags flags)
- QTableWidgetItem horizontalHeaderItem(int column)
- QTableWidgetItem item(int row, int column)
- QTableWidgetItem itemAt(QPoint p)
- QTableWidgetItem itemPrototype()
- void openPersistentEditor(QTableWidgetItem item)
- void removeCellWidget(int row, int column)
- int row(QTableWidgetItem item)
- List selectedItems()
- List selectedRanges()
- void setCellWidget(int row, int column, QWidget widget)
- void setCurrentCell(int row, int column)
- void setCurrentItem(QTableWidgetItem item)
- void setHorizontalHeaderItem(int column, QTableWidgetItem item)
- void setHorizontalHeaderLabels(List labels)
- void setItem(int row, int column, QTableWidgetItem item)
- void setItemPrototype(QTableWidgetItem item)
- void setRangeSelected(QTableWidgetSelectionRange range, bool select)
- void setVerticalHeaderItem(int row, QTableWidgetItem item)
- void setVerticalHeaderLabels(List labels)
- void sortItems(int column, SortOrder order)
- QTableWidgetItem takeHorizontalHeaderItem(int column)
- QTableWidgetItem takeItem(int row, int column)
- QTableWidgetItem takeVerticalHeaderItem(int row)
- QTableWidgetItem verticalHeaderItem(int row)
- int visualColumn(int logicalColumn)
- QRect visualItemRect(QTableWidgetItem item)
- int visualRow(int logicalRow)

### Instance Properties

QTableWidget objects inherit properties from the QTableWidget prototype object and also have the following properties.

- rowCount
- columnCount